package org.xdoclet.plugin.jmx.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String JMX_MANAGED_ATTRIBUTE = JmxManagedAttributeTagImpl.NAME;
    public static final String JMX_MANAGED_CONSTRUCTOR = JmxManagedConstructorTagImpl.NAME;
    public static final String JMX_MANAGED_OPERATION = JmxManagedOperationTagImpl.NAME;
    public static final String JMX_MANAGED_PARAMETER = JmxManagedParameterTagImpl.NAME;
    public static final String JMX_MBEAN = JmxMbeanTagImpl.NAME;
    public static final String JMX_MLET_ENTRY = JmxMletEntryTagImpl.NAME;
    public static final String JMX_NOTIFICATION = JmxNotificationTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(JmxManagedAttributeTagImpl.NAME, JmxManagedAttributeTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxManagedConstructorTagImpl.NAME, JmxManagedConstructorTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxManagedOperationTagImpl.NAME, JmxManagedOperationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxManagedParameterTagImpl.NAME, JmxManagedParameterTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxMbeanTagImpl.NAME, JmxMbeanTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxMletEntryTagImpl.NAME, JmxMletEntryTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(JmxNotificationTagImpl.NAME, JmxNotificationTagImpl.class);
    }
}
